Index: branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/Evaluators/SuperdiagonalMatrixTriangulationEvaluator.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/Evaluators/SuperdiagonalMatrixTriangulationEvaluator.cs	(revision 15541)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/Evaluators/SuperdiagonalMatrixTriangulationEvaluator.cs	(revision 15541)
@@ -0,0 +1,66 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Encodings.PermutationEncoding;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+
+namespace HeuristicLab.Problems.LinearOrdering
+{
+    /// <summary>
+    /// An operator which evaluates LOP solutions given in matrix representation.
+    /// </summary>
+    [Item("SuperdiagonalMatrixTriangulationEvaluator", "An operator which evaluates LOP solutions given in matrix representation.")]
+    [StorableClass]
+    public sealed class SuperdiagonalMatrixTriangulationEvaluator : MatrixTriangulationEvaluator
+    {
+        [StorableConstructor]
+        private SuperdiagonalMatrixTriangulationEvaluator(bool deserializing) : base(deserializing) { }
+        private SuperdiagonalMatrixTriangulationEvaluator(SuperdiagonalMatrixTriangulationEvaluator original, Cloner cloner) : base(original, cloner) { }
+        public SuperdiagonalMatrixTriangulationEvaluator() : base() { }
+
+        public override IDeepCloneable Clone(Cloner cloner)
+        {
+            return new SuperdiagonalMatrixTriangulationEvaluator(this, cloner);
+        }
+
+        protected override double CalculateUpperTriangle(DoubleMatrix m, Permutation p)
+        {
+            double sum = 0;
+            for (int i = 1; i < m.Columns; i++)
+            {
+                for (int j = 0; j < i; j++)
+                {
+                    sum += m[p[j], p[i]];
+                }
+            }
+
+            return sum;
+        }
+    }
+}
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/HeuristicLab.Problems.LinearOrdering-3.3.csproj
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/HeuristicLab.Problems.LinearOrdering-3.3.csproj	(revision 15540)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/HeuristicLab.Problems.LinearOrdering-3.3.csproj	(revision 15541)
@@ -18,5 +18,5 @@
     <DebugType>full</DebugType>
     <Optimize>false</Optimize>
-    <OutputPath>..\..\bin\</OutputPath>
+    <OutputPath>..\..\..\..\trunk\sources\bin\</OutputPath>
     <DefineConstants>DEBUG;TRACE</DefineConstants>
     <ErrorReport>prompt</ErrorReport>
@@ -38,4 +38,43 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="HeuristicLab.Collections-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Collections-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Common-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Common-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Common.Resources-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Common.Resources-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Core-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Core-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Data-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Data-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Encodings.IntegerVectorEncoding-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Encodings.IntegerVectorEncoding-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Encodings.PermutationEncoding-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Encodings.PermutationEncoding-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Encodings.ScheduleEncoding-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Encodings.ScheduleEncoding-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Operators-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Operators-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Optimization-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Optimization-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Parameters-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Parameters-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Persistence-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Persistence-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
+    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core" />
@@ -49,5 +88,5 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="Evaluators\AwesomeTriangulationEvaluator.cs" />
+    <Compile Include="Evaluators\SuperdiagonalMatrixTriangulationEvaluator.cs" />
     <Compile Include="Evaluators\MatrixTriangulationEvaluator.cs" />
     <Compile Include="Evaluators\LOPEvaluator.cs" />
@@ -59,65 +98,13 @@
   </ItemGroup>
   <ItemGroup>
-    <ProjectReference Include="..\..\HeuristicLab.Collections\3.3\HeuristicLab.Collections-3.3.csproj">
-      <Project>{958b43bc-cc5c-4fa2-8628-2b3b01d890b6}</Project>
-      <Name>HeuristicLab.Collections-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Common.Resources\3.3\HeuristicLab.Common.Resources-3.3.csproj">
-      <Project>{0e27a536-1c4a-4624-a65e-dc4f4f23e3e1}</Project>
-      <Name>HeuristicLab.Common.Resources-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Common\3.3\HeuristicLab.Common-3.3.csproj">
-      <Project>{A9AD58B9-3EF9-4CC1-97E5-8D909039FF5C}</Project>
-      <Name>HeuristicLab.Common-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Core\3.3\HeuristicLab.Core-3.3.csproj">
-      <Project>{C36BD924-A541-4A00-AFA8-41701378DDC5}</Project>
-      <Name>HeuristicLab.Core-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Data\3.3\HeuristicLab.Data-3.3.csproj">
-      <Project>{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937}</Project>
-      <Name>HeuristicLab.Data-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Encodings.IntegerVectorEncoding\3.3\HeuristicLab.Encodings.IntegerVectorEncoding-3.3.csproj">
-      <Project>{DDFB14DD-2A85-493C-A52D-E69729BBAEB0}</Project>
-      <Name>HeuristicLab.Encodings.IntegerVectorEncoding-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Encodings.PermutationEncoding\3.3\HeuristicLab.Encodings.PermutationEncoding-3.3.csproj">
-      <Project>{DBECB8B0-B166-4133-BAF1-ED67C3FD7FCA}</Project>
-      <Name>HeuristicLab.Encodings.PermutationEncoding-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Encodings.ScheduleEncoding\3.3\HeuristicLab.Encodings.ScheduleEncoding-3.3.csproj">
-      <Project>{17F3EF80-B2C3-4B8D-A4D5-BE9CE3BA2606}</Project>
-      <Name>HeuristicLab.Encodings.ScheduleEncoding-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Operators\3.3\HeuristicLab.Operators-3.3.csproj">
-      <Project>{23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE}</Project>
-      <Name>HeuristicLab.Operators-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Optimization\3.3\HeuristicLab.Optimization-3.3.csproj">
-      <Project>{14AB8D24-25BC-400C-A846-4627AA945192}</Project>
-      <Name>HeuristicLab.Optimization-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Parameters\3.3\HeuristicLab.Parameters-3.3.csproj">
-      <Project>{56F9106A-079F-4C61-92F6-86A84C2D84B7}</Project>
-      <Name>HeuristicLab.Parameters-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Persistence\3.3\HeuristicLab.Persistence-3.3.csproj">
-      <Project>{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}</Project>
-      <Name>HeuristicLab.Persistence-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\3.3\HeuristicLab.PluginInfrastructure-3.3.csproj">
-      <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
-      <Name>HeuristicLab.PluginInfrastructure-3.3</Name>
-    </ProjectReference>
+    <None Include="HeuristicLab.snk" />
+    <None Include="Plugin.cs.frame" />
+    <None Include="Properties\AssemblyInfo.cs.frame" />
+  </ItemGroup>
+  <ItemGroup>
     <ProjectReference Include="..\..\HeuristicLab.Problems.Instances\3.3\HeuristicLab.Problems.Instances-3.3.csproj">
       <Project>{3540E29E-4793-49E7-8EE2-FEA7F61C3994}</Project>
       <Name>HeuristicLab.Problems.Instances-3.3</Name>
     </ProjectReference>
-  </ItemGroup>
-  <ItemGroup>
-    <None Include="HeuristicLab.snk" />
-    <None Include="Plugin.cs.frame" />
-    <None Include="Properties\AssemblyInfo.cs.frame" />
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/Interfaces/ILOPEvaluator.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/Interfaces/ILOPEvaluator.cs	(revision 15540)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/Interfaces/ILOPEvaluator.cs	(revision 15541)
@@ -28,5 +28,5 @@
 {
     /// <summary>
-    /// An evaluator for a Schedule
+    /// An evaluator for a Linear Ordering Problem Matrix
     /// </summary>
     public interface ILOPEvaluator : ISingleObjectiveEvaluator { }
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/Interfaces/IMatrixTriangulationEvaluator.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/Interfaces/IMatrixTriangulationEvaluator.cs	(revision 15540)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/Interfaces/IMatrixTriangulationEvaluator.cs	(revision 15541)
@@ -1,3 +1,24 @@
-﻿using HeuristicLab.Core;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.PermutationEncoding;
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/LinearOrderingProblem.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/LinearOrderingProblem.cs	(revision 15540)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/LinearOrderingProblem.cs	(revision 15541)
@@ -21,5 +21,4 @@
 
 using System;
-using System.Drawing;
 using System.Linq;
 using HeuristicLab.Common;
@@ -30,8 +29,8 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.PluginInfrastructure;
-using HeuristicLab.Problems.Instances;
 using HeuristicLab.Optimization;
 using System.Collections.Generic;
 using HeuristicLab.Problems.Instances.Types;
+using HeuristicLab.Problems.Instances;
 
 namespace HeuristicLab.Problems.LinearOrdering
@@ -60,9 +59,11 @@
 
         #region Parameter Properties
-        public OptionalValueParameter<Permutation> BestKnownSolutionParameter {
+        public OptionalValueParameter<Permutation> BestKnownSolutionParameter
+        {
             get { return (OptionalValueParameter<Permutation>)Parameters["BestKnownSolution"]; }
         }
 
-        public OptionalValueParameter<DoubleMatrix> MatrixParameter {
+        public OptionalValueParameter<DoubleMatrix> MatrixParameter
+        {
             get { return (OptionalValueParameter<DoubleMatrix>)Parameters["Matrix"]; }
         }
@@ -70,12 +71,15 @@
 
         #region Properties
-        public Permutation BestKnownSolution {
+        public Permutation BestKnownSolution
+        {
             get { return BestKnownSolutionParameter.Value; }
-            set {
+            set
+            {
                 BestKnownSolutionParameter.Value = value;
                 if (BestKnownSolutionChanged != null) { OnBestKnownSolutionChanged(); }
             }
         }
-        public DoubleMatrix Matrix {
+        public DoubleMatrix Matrix
+        {
             get { return MatrixParameter.Value; }
             set { MatrixParameter.Value = value; }
@@ -95,7 +99,9 @@
         [Obsolete]
         [Storable(Name = "operators")]
-        private IEnumerable<IOperator> oldOperators {
+        private IEnumerable<IOperator> oldOperators
+        {
             get { return null; }
-            set {
+            set
+            {
                 if (value != null && value.Any())
                     Operators.AddRange(value);
@@ -109,11 +115,10 @@
           : base(original, cloner)
         {
-            RegisterEventHandlers();
         }
         public LinearOrderingProblem()
-          : base(new AwesomeTriangulationEvaluator(), new RandomPermutationCreator())
+          : base(new SuperdiagonalMatrixTriangulationEvaluator(), new RandomPermutationCreator())
         {
             Parameters.Add(new OptionalValueParameter<Permutation>("BestKnownSolution", "The best known solution of this LOP instance."));
-            Parameters.Add(new OptionalValueParameter<DoubleMatrix>("Matrix", "The matrix which contains the jobs,machines and duration."));
+            Parameters.Add(new OptionalValueParameter<DoubleMatrix>("Matrix", "The matrix which contains the corresponding LOP-values"));
 
             Load(DefaultInstance);
@@ -124,11 +129,10 @@
             MaximizationParameter.Hidden = true;
 
-            SolutionCreator.PermutationParameter.ActualName = "PFSPOrder";
-            Evaluator.QualityParameter.ActualName = "Makespan";
+            SolutionCreator.PermutationParameter.ActualName = "LOPOrder";
+            Evaluator.QualityParameter.ActualName = "SuperDiagonale";
             ParameterizeSolutionCreator();
             ParameterizeEvaluator();
 
             InitializeOperators();
-            RegisterEventHandlers();
         }
 
@@ -141,41 +145,5 @@
         private void AfterDeserialization()
         {
-            RegisterEventHandlers();
-        }
-
-        private void RegisterEventHandlers()
-        {
-            SolutionCreator.PermutationParameter.ActualNameChanged += new EventHandler(SolutionCreator_PermutationParameter_ActualNameChanged);
-            Evaluator.QualityParameter.ActualNameChanged += new EventHandler(Evaluator_QualityParameter_ActualNameChanged);
-        }
-
-        private void Evaluator_QualityParameter_ActualNameChanged(object sender, EventArgs e)
-        {
-            //Nothing to do  ParameterizeAnalyzers();
-        }
-
-        private void SolutionCreator_PermutationParameter_ActualNameChanged(object sender, EventArgs e)
-        {
-            ParameterizeEvaluator();
-            //ParameterizeAnalyzers();
-            ParameterizeOperators();
-        }
-
-        #region Events
-        private void ScheduleEvaluator_QualityParameter_ActualNameChanged(object sender, EventArgs eventArgs)
-        {
-            ParameterizeOperators();
-        }
-
-        private void SolutionCreator_SchedulingEncodingParameter_ActualNameChanged(object sender, EventArgs eventArgs)
-        {
-            ParameterizeOperators();
-        }
-
-        private void ScheduleDecoder_ScheduleParameter_ActualNameChanged(object sender, EventArgs eventArgs)
-        {
-            ParameterizeOperators();
-        }
-        #endregion
+        }
 
         #region Problem Instance Handling
@@ -193,5 +161,5 @@
                 if (!permut.Contains(0)) { permut = permut.Select(v => v - 1).ToArray(); }
                 double bestKnownQuality = MatrixTriangulationEvaluator.Apply(
-                    new AwesomeTriangulationEvaluator(),
+                    new SuperdiagonalMatrixTriangulationEvaluator(),
                     new DoubleMatrix(data.Matrix),
                     new Permutation(PermutationTypes.Absolute, permut)
@@ -212,14 +180,8 @@
                 Description = Description,
                 BestKnownQuality = BestKnownQuality.Value,
-                //BestKnownPermutation = Matrix.row,
-                //Machines = Matrix.Columns
+                BestKnownPermutation = BestKnownSolution.ToArray(),
+                Dimension = Matrix.Rows,
+                Matrix = Matrix.CloneAsMatrix()
             };
-            for (int i = 0; i < Matrix.Rows; i++)
-            {
-                for (int j = 0; j < Matrix.Columns; j++)
-                {
-                    //result.ProcessingTimes[i, j] = Matrix[i, j];
-                }
-            }
 
             return result;
@@ -230,13 +192,5 @@
         private void InitializeOperators()
         {
-            var operators = new HashSet<IPermutationOperator>(new IPermutationOperator[] {
-                new OrderCrossover2(),
-                new InversionManipulator(),
-                new StochasticInversionMultiMoveGenerator()
-            }, new TypeEqualityComparer<IPermutationOperator>());
-
-            foreach (var op in ApplicationManager.Manager.GetInstances<IPermutationOperator>())
-                operators.Add(op);
-            Operators.AddRange(operators);
+            Operators.AddRange(ApplicationManager.Manager.GetInstances<IPermutationOperator>());
             ParameterizeOperators();
             UpdateMoveEvaluators();
@@ -294,5 +248,5 @@
         private void ParameterizeSolutionCreator()
         {
-            SolutionCreator.LengthParameter.Value = new IntValue(Matrix.Columns); //Jobs
+            SolutionCreator.LengthParameter.Value = new IntValue(Matrix.Columns);
 
             SolutionCreator.LengthParameter.Hidden = SolutionCreator.LengthParameter.Value != null;
@@ -302,5 +256,5 @@
         private void ParameterizeEvaluator()
         {
-            if (Evaluator is AwesomeTriangulationEvaluator)
+            if (Evaluator is IMatrixTriangulationEvaluator)
             {
                 IMatrixTriangulationEvaluator evaluator = (IMatrixTriangulationEvaluator)Evaluator;
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/Plugin.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/Plugin.cs	(revision 15540)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/Plugin.cs	(revision 15541)
@@ -1,3 +1,24 @@
-﻿using HeuristicLab.PluginInfrastructure;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Problems.LinearOrdering
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/Properties/AssemblyInfo.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/Properties/AssemblyInfo.cs	(revision 15540)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/Properties/AssemblyInfo.cs	(revision 15541)
@@ -1,3 +1,24 @@
-﻿using System.Reflection;
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
 using System.Runtime.InteropServices;
 
@@ -33,4 +54,4 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.14.14965")]
+[assembly: AssemblyFileVersion("3.3.14.15521")]
 
